package com.ruoyi.gen.service;

import java.util.List;
import com.ruoyi.gen.domain.GenTableColumn;

/**
 * 业务字段 服务层
 * 
 * @author ruoyi
 */
public interface IGenTableColumnService
{
    /**
     * 查询业务字段列表
     * 
     * @param tableId 业务字段编号
     * @return 业务字段集合
     */
    public List<GenTableColumn> selectGenTableColumnListByTableId(Long tableId);

    /**
     * 新增业务字段
     * 
     * @param genTableColumn 业务字段信息
     * @return 结果
     */
    public int insertGenTableColumn(GenTableColumn genTableColumn);

    /**
     * 修改业务字段
     * 
     * @param genTableColumn 业务字段信息
     * @return 结果
     */
    public int updateGenTableColumn(GenTableColumn genTableColumn);

    /**
     * 删除业务字段信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteGenTableColumnByIds(String ids);

    /**
     * 查询生成信息用于生成详细设计
     * @param functionName 生成信息
     * @return list
     */
    List<GenTableColumn> selectGenInfo(String functionName);

    /**
     * 获取字典文本拼接。
     * <p>例如正常、异常</p>
     * @param dictType 字典类型
     * @return String
     */
    String selectDictLabelBase(String dictType);
    String selectDictLabelWebsite(String dictType);
    String selectDictLabelExchange(String dictType);
    String selectDictLabelDatax(String dictType);
}
